package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_FINAL_CHECK_RESULT_D所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-07-25
 */
@SuppressWarnings("serial")
public class MchFinalCheckResultDEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 材料号(管号)
     */
    private String matNo = "";
    /**
     * 喷印管号
     */
    private String measuringSeq = "";
    /**
     * 逐支跟踪号
     */
    private String barCode = "";
    /**
     * 位置代码
     */
    private String positionCode = "";
    /**
     * 不合项代码
     */
    private String unpassCode = "";
    /**
     * 不合项
     */
    private String unpassName = "";
    /**
     * 不合描述
     */
    private String unpassMemo = "";
    /**
     * 0-合格  1-不合  2-废品  3-扩检
     */
    private String station = "";
    /**
     * 处置代码
     */
    private String treatmentCode = "";
    /**
     * 处置方式
     */
    private String treatmentName = "";
    /**
     * 位置
     */
    private String positionName = "";
    /**
     * 责任单位代码
     */
    private String responsibleCode = "";
    /**
     * 责任单位
     */
    private String responsibleName = "";
    /**
     * 处置代码(支)
     */
    private String treatmentCode1 = "";
    /**
     * 处置方式(支)
     */
    private String treatmentName1 = "";
    /**
     * 是否尺寸检验(光管)
     */
    private String isSizeCheck = "";
    /**
     * 是否外观检验(光管)
     */
    private String isAppCheck = "";
    /**
     * 0-合格  2-废品  最终结果
     */
    private String replayStation = "";
    /**
     * 废品代码
     */
    private String scrapCode = "";
    /**
     * 废品原因
     */
    private String scrapName = "";
    /**
     * 不合品所在处置单号
     */
    private String treatmentNo = "";
    /**
     * 最终喷印管号
     */
    private String replayMeasuringSeq = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 材料号(管号)
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号(管号)
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 喷印管号
     * @return value
     */
    public String getMeasuringSeq() {
        return measuringSeq;
    }

    /**
     * 喷印管号
     * @param measuringSeq value
     */
    public void setMeasuringSeq(String measuringSeq) {
        this.measuringSeq = measuringSeq;
    }

    /**
     * 逐支跟踪号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 逐支跟踪号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * 位置代码
     * @return value
     */
    public String getPositionCode() {
        return positionCode;
    }

    /**
     * 位置代码
     * @param positionCode value
     */
    public void setPositionCode(String positionCode) {
        this.positionCode = positionCode;
    }

    /**
     * 不合项代码
     * @return value
     */
    public String getUnpassCode() {
        return unpassCode;
    }

    /**
     * 不合项代码
     * @param unpassCode value
     */
    public void setUnpassCode(String unpassCode) {
        this.unpassCode = unpassCode;
    }

    /**
     * 不合项
     * @return value
     */
    public String getUnpassName() {
        return unpassName;
    }

    /**
     * 不合项
     * @param unpassName value
     */
    public void setUnpassName(String unpassName) {
        this.unpassName = unpassName;
    }

    /**
     * 不合描述
     * @return value
     */
    public String getUnpassMemo() {
        return unpassMemo;
    }

    /**
     * 不合描述
     * @param unpassMemo value
     */
    public void setUnpassMemo(String unpassMemo) {
        this.unpassMemo = unpassMemo;
    }

    /**
     * 0-合格  1-不合  2-废品  3-扩检
     * @return value
     */
    public String getStation() {
        return station;
    }

    /**
     * 0-合格  1-不合  2-废品  3-扩检
     * @param station value
     */
    public void setStation(String station) {
        this.station = station;
    }

    /**
     * 处置代码
     * @return value
     */
    public String getTreatmentCode() {
        return treatmentCode;
    }

    /**
     * 处置代码
     * @param treatmentCode value
     */
    public void setTreatmentCode(String treatmentCode) {
        this.treatmentCode = treatmentCode;
    }

    /**
     * 处置方式
     * @return value
     */
    public String getTreatmentName() {
        return treatmentName;
    }

    /**
     * 处置方式
     * @param treatmentName value
     */
    public void setTreatmentName(String treatmentName) {
        this.treatmentName = treatmentName;
    }

    /**
     * 位置
     * @return value
     */
    public String getPositionName() {
        return positionName;
    }

    /**
     * 位置
     * @param positionName value
     */
    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    /**
     * 责任单位代码
     * @return value
     */
    public String getResponsibleCode() {
        return responsibleCode;
    }

    /**
     * 责任单位代码
     * @param responsibleCode value
     */
    public void setResponsibleCode(String responsibleCode) {
        this.responsibleCode = responsibleCode;
    }

    /**
     * 责任单位
     * @return value
     */
    public String getResponsibleName() {
        return responsibleName;
    }

    /**
     * 责任单位
     * @param responsibleName value
     */
    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    /**
     * 处置代码(支)
     * @return value
     */
    public String getTreatmentCode1() {
        return treatmentCode1;
    }

    /**
     * 处置代码(支)
     * @param treatmentCode1 value
     */
    public void setTreatmentCode1(String treatmentCode1) {
        this.treatmentCode1 = treatmentCode1;
    }

    /**
     * 处置方式(支)
     * @return value
     */
    public String getTreatmentName1() {
        return treatmentName1;
    }

    /**
     * 处置方式(支)
     * @param treatmentName1 value
     */
    public void setTreatmentName1(String treatmentName1) {
        this.treatmentName1 = treatmentName1;
    }

    /**
     * 是否尺寸检验(光管)
     * @return value
     */
    public String getIsSizeCheck() {
        return isSizeCheck;
    }

    /**
     * 是否尺寸检验(光管)
     * @param isSizeCheck value
     */
    public void setIsSizeCheck(String isSizeCheck) {
        this.isSizeCheck = isSizeCheck;
    }

    /**
     * 是否外观检验(光管)
     * @return value
     */
    public String getIsAppCheck() {
        return isAppCheck;
    }

    /**
     * 是否外观检验(光管)
     * @param isAppCheck value
     */
    public void setIsAppCheck(String isAppCheck) {
        this.isAppCheck = isAppCheck;
    }

    /**
     * 0-合格  2-废品  最终结果
     * @return value
     */
    public String getReplayStation() {
        return replayStation;
    }

    /**
     * 0-合格  2-废品  最终结果
     * @param replayStation value
     */
    public void setReplayStation(String replayStation) {
        this.replayStation = replayStation;
    }

    /**
     * 废品代码
     * @return value
     */
    public String getScrapCode() {
        return scrapCode;
    }

    /**
     * 废品代码
     * @param scrapCode value
     */
    public void setScrapCode(String scrapCode) {
        this.scrapCode = scrapCode;
    }

    /**
     * 废品原因
     * @return value
     */
    public String getScrapName() {
        return scrapName;
    }

    /**
     * 废品原因
     * @param scrapName value
     */
    public void setScrapName(String scrapName) {
        this.scrapName = scrapName;
    }

    /**
     * 不合品所在处置单号
     * @return value
     */
    public String getTreatmentNo() {
        return treatmentNo;
    }

    /**
     * 不合品所在处置单号
     * @param treatmentNo value
     */
    public void setTreatmentNo(String treatmentNo) {
        this.treatmentNo = treatmentNo;
    }

    /**
     * 最终喷印管号
     * @return value
     */
    public String getReplayMeasuringSeq() {
        return replayMeasuringSeq;
    }

    /**
     * 最终喷印管号
     * @param replayMeasuringSeq value
     */
    public void setReplayMeasuringSeq(String replayMeasuringSeq) {
        this.replayMeasuringSeq = replayMeasuringSeq;
    }
}